/* import { BasicAuthorizationInterceptor } from './basic-authorization.interceptor';
import { TestBed, getTestBed } from '@angular/core/testing';
import { HttpTestingController, HttpClientTestingModule } from '@angular/common/http/testing';
import { HttpClient, HTTP_INTERCEPTORS } from '@angular/common/http';

xdescribe('BasicAuthorizationInterceptor', () => {
  let injector: TestBed;
  let httpMock: HttpTestingController;
  let httpClient: HttpClient;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      providers: [
        {
          provide: HTTP_INTERCEPTORS,
          useFactory: () =>
            new BasicAuthorizationInterceptor({
              client: 'testclient',
              password: 'testpassword',
              endpoints: ['https://test1.com']
            }),
          multi: true
        }
      ]
    });

    injector = getTestBed();
    httpMock = injector.get(HttpTestingController);
    httpClient = injector.get(HttpClient);
  });

  it('should add a basic authorization header', () => {
    httpClient.get('https://test1.com/abcdef').subscribe();

    const req = httpMock.expectOne('https://test1.com/abcdef');

    expect(req.request.headers.has('Authorization')).toBeTruthy();
    expect(req.request.headers.get('Authorization')).toBe('Basic dGVzdGNsaWVudDp0ZXN0cGFzc3dvcmQ=');
  });

  it('should not add a basic authorization header', () => {
    httpClient.get('https://test2.com/abcdef').subscribe();

    const req = httpMock.expectOne('https://test2.com/abcdef');

    expect(req.request.headers.has('Authorization')).toBeFalsy();
  });
});

 */
